I want to download the After effects CC, but I can't because my computer system is too old, Mac OS X 10.7.5 what can I do?

New Here ,
Oct 25, 2016 Oct 25, 2016

Copy link to clipboard

Copied

I want to download the After effects CC, but I can't because my computer system is too old, Mac OS X 10.7.5 what can I do?

Views

481

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 26, 2016 Oct 26, 2016

Copy link to clipboard

Copied

LATEST

Full eight anamorphic wrote:

I want to download the After effects CC, but I can't because my computer system is too old, Mac OS X 10.7.5 what can I do?

You can download the old version from this link:

<http://trials2.adobe.com/AdobeProducts/AEFT/11/osx10-64/AfterEffects_11_LS7.dmg >

New versions require this as the basic:

Mac OS

    Multicore Intel processor
    Mac OS X v10.9, v10.10, or v10.11
    2 GB of RAM (8 GB recommended)
    2.5 GB of available hard-disk space for installation; additional free space required during installation (cannot install on a volume that uses a case-sensitive file system or on removable flash storage devices)
    1024 x 768 display (1280 x 800 recommended) with 32-bit video card; supports Retina display
    Optional: To use GPU Performance, your Mac should have a minimum of 1024 MB of VRAM (2 GB recommended), and your computer must support OpenGL version 4.0 or greater.
        Supported machines
            iMac 4K
            iMac 5K
            MacBook Pro Retina
            Mac Pro connected to a HiDPI monitor
            Mac mini connected to a HiDPI monitor
        To check for VRAM values:
            Mac 10.9: Choose Mac > About This Mac > More Info (Graphics information).
            Mac 10.10, 10.11: Choose Mac > About This Mac (Graphics information).
        To find out if your computer supports the required OpenGL version (4.0 or later), see this Apple Support document.
    Adobe® Flash® Player 10 software required to export SWF files.
    Internet connection and registration are necessary for required software activation, validation of subscriptions, and access to online services. *

* NOTICE TO USERS: Internet connection, Adobe ID, and acceptance of license agreement required to activate and use this product. This product may integrate with or allow access to certain Adobe or third-party hosted online services. Adobe services are available only to users 13 and older and require agreement to additional terms of use and the Adobe Privacy Policy. Applications and services may not be available in all countries or languages and may be subject to change or discontinuation without notice. Additional fees or membership charges may apply.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines